Bug 458150 - need to remove ubbold.fd from package
need to remove ubbold.fd from package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 14:10 EDT by Jason Cross
Modified: 2013-07-02 19:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 05:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Cross 2008-08-06 14:10:18 EDT
Description of problem:
See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=449221
for a full description of the problem.  The problem came from upstream texlive and so affected debian and other linux distros.  This bug does not appear to be fixed in fedora 9 stable yet.

Version-Release number of selected component (if applicable):
texlive-texmf-latex-2007-22.fc9.noarch


How reproducible: Always

Steps to Reproduce:
1. Create a text file containing (such as test):
\documentclass[11pt]{article}
\usepackage{bbold}
\begin{document}
$\mathbb{R}$
\end{document}
 
2. and run latex against it:
latex test
  
Actual results:
About 27,000 lines of errors.  The pertinent errors are near the top and consist of:
(/usr/people/faculty/acs/jcross/.texlive2007/texmf-var/fonts/source/public/bbol
d/bbold11.mf (/usr/share/texmf/fonts/source/public/bbold/bbold.mf
(/usr/share/texmf/fonts/source/public/bbold/bbparams.mf
>> asc_height#-x_height#-0.30714bigcap#
! Unknown relation will be considered false.
<to be read again>


Expected results:
There should be no errors and the console output should look something like this:
(/usr/share/texmf/tex/latex/base/size11.clo))
(/usr/share/texmf/tex/latex/bbold/bbold.sty) (./test.aux)
(/usr/share/texmf/tex/latex/bbold/Ubbold.fd) [1] (./test.aux) )

Additional info:
As suggested in the debian bug fix URL:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=449221
Removing the file:
/usr/share/texmf/tex/latex/jknapltx/ubbold.fd
and then running
mktexlsr
fixes the problem.

So I'm assuming that /usr/share/texmf/tex/latex/jknapltx/ubbold.fd should be removed from the texlive-texmf-latex package.
Comment 1 Jindrich Novy 2008-08-27 09:49:57 EDT
The ubbold.fd is now removed. The fix will occur in the next build of TeX Live.
Comment 2 Jindrich Novy 2008-10-15 06:08:14 EDT
Please test the following update if you have a while:
https://admin.fedoraproject.org/updates/texlive-2007-32.fc9,texlive-texmf-2007-24.fc9

It should finally fix this and couple of other issues :)
Comment 3 Fedora Update System 2008-10-20 16:29:32 EDT
texlive-texmf-2007-24.fc9, texlive-2007-32.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf texlive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8931
Comment 4 Fedora Update System 2008-11-21 05:58:24 EST
texlive-texmf-2007-24.fc9, texlive-2007-32.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 gaurav 2009-02-13 07:09:08 EST
This problem seems to persist in Fedora 10. I have even removed /usr/share/texmf/tex/latex/jknapltx/ubbold.fd and run mktexlsr, but that does not seem to solve the problem. I am using versions "texlive-texmf-latex.noarch 0:2007-26.fc10" and "texlive-latex.i386 0:2007-35.fc10". Any suggestions? Here is a trace of the first few lines from the error log:

-------
This is METAFONT, Version 2.71828 (Web2C 7.5.6) (base=mf 2009.2.11)  13 FEB 2009 11:36
**\mode:=ljfour; mag:=1; nonstopmode; input bbold11
(/home/gaurav/.texlive2007/texmf-var/fonts/source/public/bbold/bbold11.mf
(/usr/share/texmf/fonts/source/public/bbold/bbold.mf
(/usr/share/texmf/fonts/source/public/bbold/bbparams.mf
>> asc_height#-x_height#-0.30714bigcap#
! Unknown relation will be considered false.
<to be read again> 
                   :
<for(asc_height#)> if(EXPR0)<u_:
                                u_:=(EXPR0);fi ENDFOR
min->...);for.uu=(TEXT3):if.uu<u_:u_:=uu;fi.endfor
                                                  .u_.endgroup
l.117 ...height# + space# + fatness#, asc_height#)
                                                  ;
Oh dear. I can't decide if the expression above is positive,
negative, or zero. So this comparison test won't be `true'
--------
Comment 6 Ian Collier 2009-11-24 10:04:56 EST
This problem persists in Fedora 11 and 12; the file mentioned as removed in comment 1 has reappeared:

$ rpm -q texlive-texmf-latex
texlive-texmf-latex-2007-32.fc12.noarch
$ rpm -ql texlive-texmf-latex | egrep -i ubbold
/usr/share/texmf/tex/latex/bbold/Ubbold.fd
/usr/share/texmf/tex/latex/jknapltx/ubbold.fd

The latter is the one that should be removed.

Testcase:
latex '\documentclass[11pt]{article}\usepackage{bbold}\begin{document}\textbb{ABC}\end{document}'

Falls over with screenfuls of errors if ubbold.fd is still present.
Comment 7 Peter Bloomfield 2010-02-09 09:57:54 EST
I note that this is currently CLOSED NEXTRELEASE.  Which release will that be?  The file is still present in texlive-texmf-latex-2007-35.fc13.noarch from today's rawhide...

Note You need to log in before you can comment on or make changes to this bug.